libusb: Data Fields

| libusb 1.0.26 A cross-platform user library to access USB devices

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- actual_length : libusb_iso_packet_descriptor, libusb_transfer
- altsetting : libusb_interface

### - b -

- bAlternateSetting : libusb_interface_descriptor
- bcdDevice : libusb_device_descriptor
- bcdUSB : libusb_device_descriptor
- bConfigurationValue : libusb_config_descriptor
- bDescriptorType : libusb_bos_descriptor, libusb_bos_dev_capability_descriptor, libusb_config_descriptor, libusb_container_id_descriptor, libusb_device_descriptor, libusb_endpoint_descriptor, libusb_interface_descriptor, libusb_ss_endpoint_companion_descriptor, libusb_ss_usb_device_capability_descriptor, libusb_usb_2_0_extension_descriptor
- bDevCapabilityType : libusb_bos_dev_capability_descriptor, libusb_container_id_descriptor, libusb_ss_usb_device_capability_descriptor, libusb_usb_2_0_extension_descriptor
- bDeviceClass : libusb_device_descriptor
- bDeviceProtocol : libusb_device_descriptor
- bDeviceSubClass : libusb_device_descriptor
- bEndpointAddress : libusb_endpoint_descriptor
- bFunctionalitySupport : libusb_ss_usb_device_capability_descriptor
- bInterfaceClass : libusb_interface_descriptor
- bInterfaceNumber : libusb_interface_descriptor
- bInterfaceProtocol : libusb_interface_descriptor
- bInterfaceSubClass : libusb_interface_descriptor
- bInterval : libusb_endpoint_descriptor
- bLength : libusb_bos_descriptor, libusb_bos_dev_capability_descriptor, libusb_config_descriptor, libusb_container_id_descriptor, libusb_device_descriptor, libusb_endpoint_descriptor, libusb_interface_descriptor, libusb_ss_endpoint_companion_descriptor, libusb_ss_usb_device_capability_descriptor, libusb_usb_2_0_extension_descriptor
- bmAttributes : libusb_config_descriptor, libusb_endpoint_descriptor, libusb_ss_endpoint_companion_descriptor, libusb_ss_usb_device_capability_descriptor, libusb_usb_2_0_extension_descriptor
- bMaxBurst : libusb_ss_endpoint_companion_descriptor
- bMaxPacketSize0 : libusb_device_descriptor
- bmRequestType : libusb_control_setup
- bNumConfigurations : libusb_device_descriptor
- bNumDeviceCaps : libusb_bos_descriptor
- bNumEndpoints : libusb_interface_descriptor
- bNumInterfaces : libusb_config_descriptor
- bRefresh : libusb_endpoint_descriptor
- bRequest : libusb_control_setup
- bReserved : libusb_container_id_descriptor
- bSynchAddress : libusb_endpoint_descriptor
- bU1DevExitLat : libusb_ss_usb_device_capability_descriptor
- bU2DevExitLat : libusb_ss_usb_device_capability_descriptor
- buffer : libusb_transfer

### - c -

- callback : libusb_transfer
- ContainerID : libusb_container_id_descriptor

### - d -

- describe : libusb_version
- dev_capability : libusb_bos_descriptor
- dev_capability_data : libusb_bos_dev_capability_descriptor
- dev_handle : libusb_transfer

### - e -

- endpoint : libusb_interface_descriptor, libusb_transfer
- events : libusb_pollfd
- extra : libusb_config_descriptor, libusb_endpoint_descriptor, libusb_interface_descriptor
- extra_length : libusb_config_descriptor, libusb_endpoint_descriptor, libusb_interface_descriptor

### - f -

- fd : libusb_pollfd
- flags : libusb_transfer

### - i -

- iConfiguration : libusb_config_descriptor
- idProduct : libusb_device_descriptor
- idVendor : libusb_device_descriptor
- iInterface : libusb_interface_descriptor
- iManufacturer : libusb_device_descriptor
- interface : libusb_config_descriptor
- iProduct : libusb_device_descriptor
- iSerialNumber : libusb_device_descriptor
- iso_packet_desc : libusb_transfer

### - l -

- length : libusb_iso_packet_descriptor, libusb_transfer

### - m -

- major : libusb_version
- MaxPower : libusb_config_descriptor
- micro : libusb_version
- minor : libusb_version

### - n -

- nano : libusb_version
- num_altsetting : libusb_interface
- num_iso_packets : libusb_transfer

### - r -

- rc : libusb_version

### - s -

- status : libusb_iso_packet_descriptor, libusb_transfer

### - t -

- timeout : libusb_transfer
- type : libusb_transfer

### - u -

- user_data : libusb_transfer

### - w -

- wBytesPerInterval : libusb_ss_endpoint_companion_descriptor
- wIndex : libusb_control_setup
- wLength : libusb_control_setup
- wMaxPacketSize : libusb_endpoint_descriptor
- wSpeedSupported : libusb_ss_usb_device_capability_descriptor
- wTotalLength : libusb_bos_descriptor, libusb_config_descriptor
- wValue : libusb_control_setup